{
  "name": "admin-system",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "dev:test": "vite --mode test",
    "build": "run-p type-check \"build-only {@}\" --",
    "build:prod": "vite build --mode production",
    "build:test": "vite build --mode test",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint": "run-s lint:*",
    "lint:oxlint": "oxlint . --fix",
    "lint:eslint": "eslint . --fix --cache",
    "format": "prettier --write --experimental-cli src/"
  },
  "dependencies": {
    "@casl/ability": "^6.8.0",
    "@casl/vue": "^2.2.6",
    "@element-plus/icons-vue": "^2.3.2",
    "@imengyu/vue3-context-menu": "^1.5.4",
    "@vueuse/core": "^14.2.1",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.13.5",
    "crypto-js": "^4.2.0",
    "dayjs": "^1.11.20",
    "element-plus": "2.14.0",
    "face-api.js": "^0.22.2",
    "file-saver": "^2.0.5",
    "mammoth": "^1.12.0",
    "mqtt": "^5.15.1",
    "pinia": "^3.0.4",
    "qrcode": "^1.5.4",
    "vue": "^3.5.29",
    "vue-i18n": "^11.4.2",
    "vue-router": "^5.0.3",
    "vuedraggable": "^4.1.0",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@tsconfig/node24": "^24.0.4",
    "@types/crypto-js": "^4.2.2",
    "@types/file-saver": "^2.0.7",
    "@types/node": "^24.10.13",
    "@types/qrcode": "^1.5.6",
    "@types/xlsx": "^0.0.36",
    "@vitejs/plugin-basic-ssl": "^2.3.0",
    "@vitejs/plugin-vue": "^6.0.4",
    "@vue/eslint-config-typescript": "^14.7.0",
    "@vue/tsconfig": "^0.8.1",
    "eslint": "^10.0.2",
    "eslint-config-prettier": "^10.1.8",
    "eslint-plugin-oxlint": "~1.50.0",
    "eslint-plugin-vue": "~10.8.0",
    "jiti": "^2.6.1",
    "npm-run-all2": "^8.0.4",
    "oxlint": "~1.50.0",
    "prettier": "3.8.1",
    "sass": "^1.97.3",
    "typescript": "~5.9.3",
    "unplugin-auto-import": "^21.0.0",
    "unplugin-vue-components": "^31.0.0",
    "vite": "^7.3.1",
    "vite-plugin-vue-devtools": "^8.0.6",
    "vue-tsc": "^3.2.5"
  },
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  }
}
